GisLayerItem (uri-resolver 1.5.0-SNAPSHOT API)
Date: 2016-01-29

org.gcube.datatransfer.resolver.gis.entity

## Class GisLayerItem

- java.lang.Object
- - org.gcube.datatransfer.resolver.gis.entity.GisLayerItem

-     public class GisLayerItem
      extends Object

  Author:
    Francesco Mangiacrapa francesco.mangiacrapa@isti.cnr.it

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GisLayerItem(String uuid, String citationTitle, String layerName, String topicCategory, Date publicationDate, String scopeCode, String geoserverBaseUrlOnlineResource, String baseWmsServiceUrl, String fullWmsUrlRequest, List<String> styles, String metaAbstract, List<String> listKeywords)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getBaseWmsServiceUrl()`
    `String` | `getCitationTitle()`
    `String` | `getFullWmsUrlRequest()`
    `String` | `getGeoserverBaseUrlOnLineResource()`
    `String` | `getLayerName()`
    `List<String>` | `getListKeywords()`
    `String` | `getMetaAbstract()`
    `Date` | `getPublicationDate()`
    `String` | `getScopeCode()`
    `String` | `getSetCrsWMS()`
    `List<String>` | `getStyles()`
    `String` | `getTopicCategory()`
    `String` | `getUuid()`
    `String` | `getVersionWMS()`
    `void` | `setBaseWmsServiceUrl(String baseWmsServiceUrl)`
    `void` | `setCitationTitle(String citationTitle)`
    `void` | `setCrsWMS(String crs)`
    `void` | `setFullWmsUrlRequest(String fullWmsUrlRequest)`
    `void` | `setGeoserverBaseUrlOnLineResource(String geoserverBaseUrlOnLineResource)`
    `void` | `setLayerName(String layerName)`
    `void` | `setListKeywords(List<String> listKeywords)`
    `void` | `setMetaAbstract(String metaAbstract)`
    `void` | `setPublicationDate(Date publicationDate)`
    `void` | `setScopeCode(String scopeCode)`
    `void` | `setSetCrsWMS(String setCrsWMS)`
    `void` | `setStyles(List<String> styles)`
    `void` | `setTopicCategory(String topicCategory)`
    `void` | `setUuid(String uuid)`
    `void` | `setVersionWMS(String versionWms)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### GisLayerItem

          public GisLayerItem(String uuid,
                      String citationTitle,
                      String layerName,
                      String topicCategory,
                      Date publicationDate,
                      String scopeCode,
                      String geoserverBaseUrlOnlineResource,
                      String baseWmsServiceUrl,
                      String fullWmsUrlRequest,
                      List<String> styles,
                      String metaAbstract,
                      List<String> listKeywords)

      Parameters:
        `uuid` -
        `citationTitle` -
        `layerName` -
        `topicCategory` -
        `publicationDate` -
        `scopeCode` -
        `geoserverBaseUrlOnlineResource` -
        `baseWmsServiceUrl` -
        `fullWmsUrlRequest` -
        `b` -
        `styles` -
        `metaAbstract` -
        `listKeywords` -

  - ### Method Detail

    - #### setVersionWMS

          public void setVersionWMS(String versionWms)

      Parameters:
        `versionWms` -

    - #### setCrsWMS

          public void setCrsWMS(String crs)

      Parameters:
        `crs` -

    - #### getUuid

          public String getUuid()

    - #### getCitationTitle

          public String getCitationTitle()

    - #### getLayerName

          public String getLayerName()

    - #### getTopicCategory

          public String getTopicCategory()

    - #### getPublicationDate

          public Date getPublicationDate()

    - #### getScopeCode

          public String getScopeCode()

    - #### getGeoserverBaseUrlOnLineResource

          public String getGeoserverBaseUrlOnLineResource()

    - #### getBaseWmsServiceUrl

          public String getBaseWmsServiceUrl()

    - #### getFullWmsUrlRequest

          public String getFullWmsUrlRequest()

    - #### getStyles

          public List<String> getStyles()

    - #### getMetaAbstract

          public String getMetaAbstract()

    - #### getListKeywords

          public List<String> getListKeywords()

    - #### setUuid

          public void setUuid(String uuid)

    - #### setCitationTitle

          public void setCitationTitle(String citationTitle)

    - #### setLayerName

          public void setLayerName(String layerName)

    - #### setTopicCategory

          public void setTopicCategory(String topicCategory)

    - #### setPublicationDate

          public void setPublicationDate(Date publicationDate)

    - #### setScopeCode

          public void setScopeCode(String scopeCode)

    - #### setGeoserverBaseUrlOnLineResource

          public void setGeoserverBaseUrlOnLineResource(String geoserverBaseUrlOnLineResource)

    - #### setBaseWmsServiceUrl

          public void setBaseWmsServiceUrl(String baseWmsServiceUrl)

    - #### setFullWmsUrlRequest

          public void setFullWmsUrlRequest(String fullWmsUrlRequest)

    - #### setStyles

          public void setStyles(List<String> styles)

    - #### setMetaAbstract

          public void setMetaAbstract(String metaAbstract)

    - #### setListKeywords

          public void setListKeywords(List<String> listKeywords)

    - #### getVersionWMS

          public String getVersionWMS()

    - #### getSetCrsWMS

          public String getSetCrsWMS()

    - #### setSetCrsWMS

          public void setSetCrsWMS(String setCrsWMS)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2016. All Rights Reserved.